Page MenuHomePhabricator

label normalization fails in Chrome / Opera / PhantomJS
Closed, ResolvedPublic1 Story Points

Description

When editing an entity label in Firefox

"   norm    a   lize  me  "

will be normalized to

"norm a lize me"

In Chrome / Opera / PhantomJS this seems to be broken.

First occurred in a failing test 03.07.2015 14:29:00
hhttps://integration.wikimedia.org/ci/view/BrowserTests/view/Wikidata/

Event Timeline

WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch raised the priority of this task from to Needs Triage.
WMDE-Fisch added a subscriber: WMDE-Fisch.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2015, 12:58 PM

This bug appeared when @thiemowmde made the labelview a textarea (https://gerrit.wikimedia.org/r/#/c/207446/).

So a solution would be :

  1. Revert it to input
  2. Having some JS that filters the input (firefox is magically doing it right)
  3. Having a php formatter that filters the input

    @Lydia_Pintscher what to do?

Change 227442 had a related patch set uploaded (by Addshore):
Revert "Make label view multiline by default"

https://gerrit.wikimedia.org/r/227442

Change 227444 had a related patch set uploaded (by Addshore):
Revert "Make label view multiline by default"

https://gerrit.wikimedia.org/r/227444

Change 227444 merged by jenkins-bot:
Revert "Make label view multiline by default"

https://gerrit.wikimedia.org/r/227444

Why are you reverting the change without even thinking of the intentions behind it and the alternatives to fix this bug?

aude added a subscriber: aude.Jul 28 2015, 2:05 PM

@WMDE-Fisch needs to be reverted at least in the deployment branch and think is the correct thing to do in master. then we when Thiemo and Lydia are back, we can get their input, work on a fix and "un-revert"

Addshore added a comment.EditedJul 28 2015, 2:06 PM

Yep, as @aude said :)
The branch should be fixed asap (revert is the easiest way to do this).
Then the revert is up on master as an option, of course a better / different fix before the next branch would be best!

Otherwise this broken code would go live to wikidata.org tomorrow (i think) :P

alright - excuse accepted :-)!

Change 227442 merged by jenkins-bot:
Revert "Make label view multiline by default"

https://gerrit.wikimedia.org/r/227442

Hey the test fail now because reverting the change changed the textarea to an input field again. The test expect a textarea.

The failures are therefore unrelated to any real error. I will adjust the tests.

see https://github.com/wmde/WikidataBrowserTests/commit/ba5f65da327f80f486117d74023ed106dc75d597

Change 229090 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Revert "Revert "Make label view multiline by default""

https://gerrit.wikimedia.org/r/229090

The failing test was indeed unrelated. I can understand why the revert was done, but the same could have been done by simply commenting out the broken test case and opening a ticket. We do not have a "normalization" feature. This is an unintended side-effect of a CSS rule that behaves different across browsers.

New patches for review:

  1. https://gerrit.wikimedia.org/r/229090
  2. https://github.com/wmde/WikidataBrowserTests/pull/84

Change 229090 merged by jenkins-bot:
Revert "Revert "Make label view multiline by default""

https://gerrit.wikimedia.org/r/229090

Tobi_WMDE_SW edited a custom field.Aug 5 2015, 9:05 AM
Jonas updated the task description. (Show Details)Aug 5 2015, 3:51 PM
thiemowmde closed this task as Resolved.Aug 5 2015, 5:21 PM
thiemowmde triaged this task as Low priority.
thiemowmde claimed this task.
thiemowmde removed a project: Patch-For-Review.